Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 23 Jul 2019 12:52:30 -0300

Em Tue, 23 Jul 2019 12:14:20 -0300
Ezequiel Garcia <[email-masked]> escreveu:

> On Tue, 2019-07-23 at 10:13 +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the v4l-dvb tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > In file included from <command-line>:
> > include/media/vp8-ctrls.h:25:2: error: unknown type name '__s8'
> >   __s8 quant_update[4];
> >   ^~~~
> > include/media/vp8-ctrls.h:26:2: error: unknown type name '__s8'
> >   __s8 lf_update[4];
> >   ^~~~
> > include/media/vp8-ctrls.h:27:2: error: unknown type name '__u8'
> >   __u8 segment_probs[3];
> >   ^~~~
> > include/media/vp8-ctrls.h:28:2: error: unknown type name '__u8'
> >   __u8 padding;
> >   ^~~~
> > include/media/vp8-ctrls.h:29:2: error: unknown type name '__u32'
> >   __u32 flags;
> >   ^~~~~
> > include/media/vp8-ctrls.h:36:2: error: unknown type name '__s8'
> >   __s8 ref_frm_delta[4];
> >   ^~~~
> > include/media/vp8-ctrls.h:37:2: error: unknown type name '__s8'
> >   __s8 mb_mode_delta[4];
> >   ^~~~
> > include/media/vp8-ctrls.h:38:2: error: unknown type name '__u8'
> >   __u8 sharpness_level;
> >   ^~~~
> > include/media/vp8-ctrls.h:39:2: error: unknown type name '__u8'
> >   __u8 level;
> >   ^~~~
> > include/media/vp8-ctrls.h:40:2: error: unknown type name '__u16'
> >   __u16 padding;
> >   ^~~~~
> > include/media/vp8-ctrls.h:41:2: error: unknown type name '__u32'
> >   __u32 flags;
> >   ^~~~~
> > include/media/vp8-ctrls.h:45:2: error: unknown type name '__u8'
> >   __u8 y_ac_qi;
> >   ^~~~
> > include/media/vp8-ctrls.h:46:2: error: unknown type name '__s8'
> >   __s8 y_dc_delta;
> >   ^~~~
> > include/media/vp8-ctrls.h:47:2: error: unknown type name '__s8'
> >   __s8 y2_dc_delta;
> >   ^~~~
> > include/media/vp8-ctrls.h:48:2: error: unknown type name '__s8'
> >   __s8 y2_ac_delta;
> >   ^~~~
> > include/media/vp8-ctrls.h:49:2: error: unknown type name '__s8'
> >   __s8 uv_dc_delta;
> >   ^~~~
> > include/media/vp8-ctrls.h:50:2: error: unknown type name '__s8'
> >   __s8 uv_ac_delta;
> >   ^~~~
> > include/media/vp8-ctrls.h:51:2: error: unknown type name '__u16'
> >   __u16 padding;
> >   ^~~~~
> > include/media/vp8-ctrls.h:55:2: error: unknown type name '__u8'
> >   __u8 coeff_probs[4][8][3][11];
> >   ^~~~
> > include/media/vp8-ctrls.h:56:2: error: unknown type name '__u8'
> >   __u8 y_mode_probs[4];
> >   ^~~~
> > include/media/vp8-ctrls.h:57:2: error: unknown type name '__u8'
> >   __u8 uv_mode_probs[3];
> >   ^~~~
> > include/media/vp8-ctrls.h:58:2: error: unknown type name '__u8'
> >   __u8 mv_probs[2][19];
> >   ^~~~
> > include/media/vp8-ctrls.h:59:2: error: unknown type name '__u8'
> >   __u8 padding[3];
> >   ^~~~
> > include/media/vp8-ctrls.h:63:2: error: unknown type name '__u8'
> >   __u8 range;
> >   ^~~~
> > include/media/vp8-ctrls.h:64:2: error: unknown type name '__u8'
> >   __u8 value;
> >   ^~~~
> > include/media/vp8-ctrls.h:65:2: error: unknown type name '__u8'
> >   __u8 bit_count;
> >   ^~~~
> > include/media/vp8-ctrls.h:66:2: error: unknown type name '__u8'
> >   __u8 padding;
> >   ^~~~
> > include/media/vp8-ctrls.h:86:2: error: unknown type name '__u16'
> >   __u16 width;
> >   ^~~~~
> > include/media/vp8-ctrls.h:87:2: error: unknown type name '__u16'
> >   __u16 height;
> >   ^~~~~
> > include/media/vp8-ctrls.h:89:2: error: unknown type name '__u8'
> >   __u8 horizontal_scale;
> >   ^~~~
> > include/media/vp8-ctrls.h:90:2: error: unknown type name '__u8'
> >   __u8 vertical_scale;
> >   ^~~~
> > include/media/vp8-ctrls.h:92:2: error: unknown type name '__u8'
> >   __u8 version;
> >   ^~~~
> > include/media/vp8-ctrls.h:93:2: error: unknown type name '__u8'
> >   __u8 prob_skip_false;
> >   ^~~~
> > include/media/vp8-ctrls.h:94:2: error: unknown type name '__u8'
> >   __u8 prob_intra;
> >   ^~~~
> > include/media/vp8-ctrls.h:95:2: error: unknown type name '__u8'
> >   __u8 prob_last;
> >   ^~~~
> > include/media/vp8-ctrls.h:96:2: error: unknown type name '__u8'
> >   __u8 prob_gf;
> >   ^~~~
> > include/media/vp8-ctrls.h:97:2: error: unknown type name '__u8'
> >   __u8 num_dct_parts;
> >   ^~~~
> > include/media/vp8-ctrls.h:99:2: error: unknown type name '__u32'
> >   __u32 first_part_size;
> >   ^~~~~
> > include/media/vp8-ctrls.h:100:2: error: unknown type name '__u32'
> >   __u32 first_part_header_bits;
> >   ^~~~~
> > include/media/vp8-ctrls.h:101:2: error: unknown type name '__u32'
> >   __u32 dct_part_sizes[8];
> >   ^~~~~
> > include/media/vp8-ctrls.h:103:2: error: unknown type name '__u64'
> >   __u64 last_frame_ts;
> >   ^~~~~
> > include/media/vp8-ctrls.h:104:2: error: unknown type name '__u64'
> >   __u64 golden_frame_ts;
> >   ^~~~~
> > include/media/vp8-ctrls.h:105:2: error: unknown type name '__u64'
> >   __u64 alt_frame_ts;
> >   ^~~~~
> > include/media/vp8-ctrls.h:107:2: error: unknown type name '__u64'
> >   __u64 flags;
> >   ^~~~~
> > 
> > Caused by commit
> > 
> >   a57d6acaf352 ("media: uapi: Add VP8 stateless decoder API")
> > 
> > I have added the following fix patch for today.
> >   
> 
> Looks good, thanks for the fix. I wonder why this
> got triggered with VP8 only, and not with MPEG-2.

I suspect that this got triggered by some change at linux-next, as
it built fine here on the top of 5.3-rc1.

Patch was applied earlier today.

Thanks,
Mauro